Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
import os
import requests
API_URL = "https://api.apono.io/api/admin/v1/attributes"
def get_auth_headers() -> dict:
token = os.getenv("APONO_TOKEN")
if not token:
raise RuntimeError("Missing APONO_TOKEN environment variable")
return {
"Authorization": f"Bearer {token}",
"Accept": "*/*"
}
def fetch_unique_attribute_types() -> set:
headers = get_auth_headers()
attribute_types = set()
next_page_token = None
while True:
params = {}
if next_page_token:
params["page_token"] = next_page_token
response = requests.get(API_URL, headers=headers, params=params)
response.raise_for_status()
data = response.json()
for attribute_item in data.get("items", []):
attr_type = attribute_item.get("type")
if attr_type:
attribute_types.add(attr_type)
next_page_token = data.get("pagination", {}).get("next_page_token")
if not next_page_token:
break
return attribute_types
if __name__ == "__main__":
print(sorted(fetch_unique_attribute_types()))--header 'authorization: Bearer <your-api-token>'Authorization: Bearer <your-api-token>HTTP/1.1 401 Unauthorized
{
"status": "401",
"code": "Unauthorized"
}https://api.apono.io/api/Content-Type: application/json
Authorization: Bearer <your-api-token>100Filter integrations by name. Supports wildcard () for partial matches - use * for contains, prefix for starts with, *suffix for ends with
Filter integrations by type. Supports wildcard () for partial matches - use * for contains, prefix for starts with, *suffix for ends with
OK
Unique, alphanumeric, user-friendly name used to identify the integration
Apono-defined identifier for the specific integration type
Unique identifier of the Apono connector
List of discoverable resource types within the integration
Admin custom instructions (max 400 characters) for accessing the integration’s resources, shown to end users
OK
Unique identifier of the integration
Unique, alphanumeric, user-friendly name used to identify the integration
Apono-defined identifier for the specific integration type
Apono-defined grouping for the integration
Unique identifier of the Apono connector
Operational state of the integration
Timestamp of the most recent successful integration sync, in ISO 8601 format
ISO 8601 formatted date-time
List of discoverable resource types within the integration
Admin custom instructions (max 400 characters) for accessing the integration’s resources, shown to end users
OK
Unique identifier of the integration
Unique, alphanumeric, user-friendly name used to identify the integration
Apono-defined identifier for the specific integration type
Apono-defined grouping for the integration
Unique identifier of the Apono connector
Operational state of the integration
Timestamp of the most recent successful integration sync, in ISO 8601 format
ISO 8601 formatted date-time
List of discoverable resource types within the integration
Admin custom instructions (max 400 characters) for accessing the integration’s resources, shown to end users
Unique, alphanumeric, user-friendly name used to identify the integration
Unique identifier of the Apono connector
List of discoverable resource types within the integration
Admin custom instructions (max 400 characters) for accessing the integration’s resources, shown to end users
OK
Unique identifier of the integration
Unique, alphanumeric, user-friendly name used to identify the integration
Apono-defined identifier for the specific integration type
Apono-defined grouping for the integration
Unique identifier of the Apono connector
Operational state of the integration
Timestamp of the most recent successful integration sync, in ISO 8601 format
ISO 8601 formatted date-time
List of discoverable resource types within the integration
Admin custom instructions (max 400 characters) for accessing the integration’s resources, shown to end users
OK
{seconds}.{nanos}OK
OK
{seconds}.{nanos}OK
{seconds}.{nanos}OK
OK
100Filters access requests by the initiating user. Accepts a user ID or email address. If not provided, returns requests submitted by the authenticated user.
OK
Unique identifier or display name of the bundle. Either bundle_reference or entitlements is required
An explanation or reason for the access request
Duration in seconds for which access is requested
The user the access is being requested for. Accepts a user ID or email address. If not provided, access is requested for the authenticated user. Requires the caller to be authorized in the access flow to request access on behalf of the specified user
OK
Unique identifier of the access request
Current status of the access request
Duration for which access is granted, in seconds
Reason provided by the user when requesting access
Date and time when the access request was created (ISO 8601 format)
ISO 8601 formatted date-time
Timestamp when access was revoked, if applicable (ISO 8601 format)
ISO 8601 formatted date-time
OK
Unique identifier of the access request
Current status of the access request
Duration for which access is granted, in seconds
Reason provided by the user when requesting access
Date and time when the access request was created (ISO 8601 format)
ISO 8601 formatted date-time
Timestamp when access was revoked, if applicable (ISO 8601 format)
ISO 8601 formatted date-time
100OK
An explanation or reason for the access request
OK
Unique identifier of the access request
Current status of the access request
Duration for which access is granted, in seconds
Reason provided by the user when requesting access
Date and time when the access request was created (ISO 8601 format)
ISO 8601 formatted date-time
Timestamp when access was revoked, if applicable (ISO 8601 format)
ISO 8601 formatted date-time
OK
OK
OK
OK
OK
Note: Some fields are only applicable in self-serve access flows and are ignored or not required in automatic access flows. Refer to each field’s description to understand when it applies.
OK
Unique identifier of the access flow
Display name of the access flow
Activity state of the access flow (active or inactive)
Event or action that triggers the access flow
Duration of access granted to the user, in minutes
Timestamp when the resource was created, in ISO 8601 format
ISO 8601 formatted date-time
Timestamp when the resource was last modified, in ISO 8601 format
ISO 8601 formatted date-time
OK
Unique identifier of the access flow
Display name of the access flow
Activity state of the access flow (active or inactive)
Event or action that triggers the access flow
Duration of access granted to the user, in minutes
Timestamp when the resource was created, in ISO 8601 format
ISO 8601 formatted date-time
Timestamp when the resource was last modified, in ISO 8601 format
ISO 8601 formatted date-time
Display name of the access flow
Activity state of the access flow (active or inactive)
Event or action that triggers the access flow
Duration of access granted to the user, in minutes
OK
Unique identifier of the access flow
Display name of the access flow
Activity state of the access flow (active or inactive)
Event or action that triggers the access flow
Duration of access granted to the user, in minutes
Timestamp when the resource was created, in ISO 8601 format
ISO 8601 formatted date-time
Timestamp when the resource was last modified, in ISO 8601 format
ISO 8601 formatted date-time
OK
{seconds}.{nanos}OK
{seconds}.{nanos}OK
{seconds}.{nanos}100Filter bundles by name. Supports wildcard () for partial matches - use * for contains, prefix for starts with, *suffix for ends with
OK
Display name of the bundle
OK
Unique identifier of the bundle
Display name of the bundle
Timestamp when the resource was created, in ISO 8601 format
ISO 8601 formatted date-time
Timestamp when the resource was last modified, in ISO 8601 format
ISO 8601 formatted date-time
OK
Unique identifier of the bundle
Display name of the bundle
Timestamp when the resource was created, in ISO 8601 format
ISO 8601 formatted date-time
Timestamp when the resource was last modified, in ISO 8601 format
ISO 8601 formatted date-time
Display name of the bundle
OK
Unique identifier of the bundle
Display name of the bundle
Timestamp when the resource was created, in ISO 8601 format
ISO 8601 formatted date-time
Timestamp when the resource was last modified, in ISO 8601 format
ISO 8601 formatted date-time
100The name of the report. Supports wildcard () for partial matches - use * for contains, prefix for starts with, *suffix for ends with
OK
Display name of the report. Must be unique.
List of fields to include in the report. Possible values: request_id, request_date, request_grant_date, request_revoke_date, requestor_name, requestor_email, grantee_name, grantee_id, grantee_type, integration, resources, resource_type, permissions, approver_names, approver_emails, approver_types, justification, status, approver_reason, resources_status, trigger_type, access_flow, bundle_name.
Format of the report. Possible values: csv, pdf. Default is csv
OK
Unique identifier of the report.
Display name of the report. Must be unique.
List of fields to include in the report. Possible values: request_id, request_date, request_grant_date, request_revoke_date, requestor_name, requestor_email, grantee_name, grantee_id, grantee_type, integration, resources, resource_type, permissions, approver_names, approver_emails, approver_types, justification, status, approver_reason, resources_status, trigger_type, access_flow, bundle_name.
Format of the report. Possible values: csv, pdf. Default is csv
Timestamp when the report was created, in ISO 8601 format
2022-03-10T16:15:50ZTimestamp when the report was last updated, in ISO 8601 format
2022-03-10T16:15:50ZOK
Unique identifier of the report.
Display name of the report. Must be unique.
List of fields to include in the report. Possible values: request_id, request_date, request_grant_date, request_revoke_date, requestor_name, requestor_email, grantee_name, grantee_id, grantee_type, integration, resources, resource_type, permissions, approver_names, approver_emails, approver_types, justification, status, approver_reason, resources_status, trigger_type, access_flow, bundle_name.
Format of the report. Possible values: csv, pdf. Default is csv
Timestamp when the report was created, in ISO 8601 format
2022-03-10T16:15:50ZTimestamp when the report was last updated, in ISO 8601 format
2022-03-10T16:15:50ZDisplay name of the report. Must be unique.
List of fields to include in the report. Possible values: request_id, request_date, request_grant_date, request_revoke_date, requestor_name, requestor_email, grantee_name, grantee_id, grantee_type, integration, resources, resource_type, permissions, approver_names, approver_emails, approver_types, justification, status, approver_reason, resources_status, trigger_type, access_flow, bundle_name.
Format of the report. Possible values: csv, pdf. Default is csv
OK
Unique identifier of the report.
Display name of the report. Must be unique.
List of fields to include in the report. Possible values: request_id, request_date, request_grant_date, request_revoke_date, requestor_name, requestor_email, grantee_name, grantee_id, grantee_type, integration, resources, resource_type, permissions, approver_names, approver_emails, approver_types, justification, status, approver_reason, resources_status, trigger_type, access_flow, bundle_name.
Format of the report. Possible values: csv, pdf. Default is csv
Timestamp when the report was created, in ISO 8601 format
2022-03-10T16:15:50ZTimestamp when the report was last updated, in ISO 8601 format
2022-03-10T16:15:50Z100Filter groups by name. Supports wildcard () for partial matches - use * for contains, prefix for starts with, *suffix for ends with
OK
Display name of the group
Email addresses to assign as members of the group
OK
Unique identifier of the group
Display name of the group
Identifier of the group in the integration system providing the entity
Unique Apono identifier of the integration providing the entity
Display name of the integration providing the entity
OK
Unique identifier of the group
Display name of the group
Identifier of the group in the integration system providing the entity
Unique Apono identifier of the integration providing the entity
Display name of the integration providing the entity
100OK
Display name of the group
OK
Unique identifier of the group
Display name of the group
Identifier of the group in the integration system providing the entity
Unique Apono identifier of the integration providing the entity
Display name of the integration providing the entity
OK
Unique identifier of the connector
Unique, alphanumeric, user-friendly name used to identify the connector
Operational state of the connector: CONNECTED or DISCONNECTED
Version of the Apono connector currently in use
Timestamp of the most recent successful connector connection, in ISO 8601 format
ISO 8601 formatted date-time
Indicates whether the most current version of the Apono connector is in use
Cloud provider to which the connector grants Apono access
Unique, alphanumeric, user-friendly name used to identify the connector
OK
Unique identifier of the connector
Unique, alphanumeric, user-friendly name used to identify the connector
Operational state of the connector: CONNECTED or DISCONNECTED
Version of the Apono connector currently in use
Timestamp of the most recent successful connector connection, in ISO 8601 format
ISO 8601 formatted date-time
Indicates whether the most current version of the Apono connector is in use
Cloud provider to which the connector grants Apono access
OK
{seconds}.{nanos}Filters available bundles by the specified user, accepts ID or email. Defaults to the authenticated user
100Filter available bundles by name. Supports wildcard () for partial matches - use * for contains, prefix for starts with, *suffix for ends with
OK
Filters available access options by the specified user, accepts ID or email. Defaults to the authenticated user
100OK
Filter users by first name. Supports wildcard () for partial matches - use * for contains, prefix for starts with, *suffix for ends with
Filter users by last name. Supports wildcard () for partial matches - use * for contains, prefix for starts with, *suffix for ends with
100OK
OK
Unique identifier of the user
The user’s primary email address
A list of additional email addresses associated with the user
The user’s first name
The user’s family name or surname
Indicates whether the user is currently active within Apono
A list of roles assigned to the user, representing their permissions (e.g. Admin, Power User, Deployment, Viewer)
Unique Apono identifier of the integration providing the entity
Display name of the integration providing the entity
OK
Filters results to requests made for the specified user. Accepts a user ID or email address
100Filters results by request status. Supports multiple statuses.
OK
OK
Unique identifier of the access request
Current status of the access request
Duration for which access is granted, in seconds
Reason provided by the user when requesting access
Date and time when the access request was created (ISO 8601 format)
ISO 8601 formatted date-time
Timestamp when access was revoked, if applicable (ISO 8601 format)
ISO 8601 formatted date-time
OK
100Filter access scopes by name. Supports wildcard () for partial matches - use * for contains, prefix for starts with, *suffix for ends with
OK
Display name of the access scope
Apono Query Language (AQL) expression that defines filters for cloud resources, integrations, and permissions
OK
Unique identifier of the access scope
Display name of the access scope
Apono Query Language (AQL) expression that defines filters for cloud resources, integrations, and permissions
Timestamp when the resource was created, in ISO 8601 format
ISO 8601 formatted date-time
Timestamp when the resource was last modified, in ISO 8601 format
ISO 8601 formatted date-time
OK
Unique identifier of the access scope
Display name of the access scope
Apono Query Language (AQL) expression that defines filters for cloud resources, integrations, and permissions
Timestamp when the resource was created, in ISO 8601 format
ISO 8601 formatted date-time
Timestamp when the resource was last modified, in ISO 8601 format
ISO 8601 formatted date-time
Display name of the access scope
Apono Query Language (AQL) expression that defines filters for cloud resources, integrations, and permissions
OK
Unique identifier of the access scope
Display name of the access scope
Apono Query Language (AQL) expression that defines filters for cloud resources, integrations, and permissions
Timestamp when the resource was created, in ISO 8601 format
ISO 8601 formatted date-time
Timestamp when the resource was last modified, in ISO 8601 format
ISO 8601 formatted date-time
100Free text to search values of attributes. Supports wildcard () for partial matches - use * for contains, prefix for starts with, *suffix for ends with
OK
100OK
OK
Unique identifier of the access session
A human-readable name for the session, often based on the resource or purpose
List of request id's related to the access session
Credential status during the session. Possible values: AVAILABLE, VIEWED, RESETTING, NOT_APPLICABLE. If the access session does not rely on credentials (for example, a cloud provider session), the status will be NOT_APPLICABLE, but access details will still be available
Indicates whether credentials used in this session can be reset. Applies only to sessions where credentials are applicable
OK
User-facing text with step-by-step instructions for accessing the resource
An optional message provided by an admin. Often used for additional context, warnings, or escalation paths
A command-line string the user can copy and execute to initiate access
1000OK
OK
OK
OK
OK
No Content
No content
OK
OK
OK
OK
OK
OK
OK
OK
OK
OK
OK
OK
OK
OK
OK
OK
OK
OK
OK
OK
OK
OK
OK
OK
OK
OK
OK
OK
OK
Display name of the access flow
Activity state of the access flow (active or inactive)
Event or action that triggers the access flow
Duration of access granted to the user, in minutes
OK
OK
OK
No Content
No content
OK
OK
OK
OK
OK
OK
OK
OK
OK
No Content
No content
OK
OK
OK
OK
OK
OK
OK
OK
No Content
No content
OK
No Content
No content
No Content
No content
No Content
No content
OK
OK
OK
OK
No Content
No content
OK
OK
OK
OK
OK
OK
OK
OK
OK
OK
OK
OK
OK
OK
OK
OK
OK
OK
OK
No Content
No content
OK
OK
OK
OK
OK
OK
OK
OK
OK
{
"items": [
{
"id": "text",
"name": "text",
"type": "text",
"category": "text",
"connector_id": "text",
"status": "text",
"last_sync_time": "text",
"integration_config": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"secret_store_config": {
"aws": {
"region": "text",
"secret_id": "text"
},
"gcp": {
"project": "text",
"secret_id": "text"
},
"kubernetes": {
"namespace": "text",
"name": "text"
},
"azure": {
"vault_url": "text",
"name": "text"
},
"hashicorp_vault": {
"secret_engine": "text",
"path": "text"
},
"apono": {
"parameters": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
}
},
"connected_resource_types": [
"text"
],
"custom_access_details": "text",
"owner": {
"attribute_type": "text",
"attribute_value": [
"text"
],
"source_integration_id": "text",
"source_integration_name": "text"
},
"owners_mapping": {
"key_name": "text",
"attribute_type": "text",
"source_integration_id": "text",
"source_integration_name": "text"
}
}
],
"pagination": {
"next_page_token": "text"
}
}{
"id": "text",
"name": "text",
"type": "text",
"category": "text",
"connector_id": "text",
"status": "text",
"last_sync_time": "text",
"integration_config": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"secret_store_config": {
"aws": {
"region": "text",
"secret_id": "text"
},
"gcp": {
"project": "text",
"secret_id": "text"
},
"kubernetes": {
"namespace": "text",
"name": "text"
},
"azure": {
"vault_url": "text",
"name": "text"
},
"hashicorp_vault": {
"secret_engine": "text",
"path": "text"
},
"apono": {
"parameters": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
}
},
"connected_resource_types": [
"text"
],
"custom_access_details": "text",
"owner": {
"attribute_type": "text",
"attribute_value": [
"text"
],
"source_integration_id": "text",
"source_integration_name": "text"
},
"owners_mapping": {
"key_name": "text",
"attribute_type": "text",
"source_integration_id": "text",
"source_integration_name": "text"
}
}{
"id": "text",
"name": "text",
"type": "text",
"category": "text",
"connector_id": "text",
"status": "text",
"last_sync_time": "text",
"integration_config": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"secret_store_config": {
"aws": {
"region": "text",
"secret_id": "text"
},
"gcp": {
"project": "text",
"secret_id": "text"
},
"kubernetes": {
"namespace": "text",
"name": "text"
},
"azure": {
"vault_url": "text",
"name": "text"
},
"hashicorp_vault": {
"secret_engine": "text",
"path": "text"
},
"apono": {
"parameters": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
}
},
"connected_resource_types": [
"text"
],
"custom_access_details": "text",
"owner": {
"attribute_type": "text",
"attribute_value": [
"text"
],
"source_integration_id": "text",
"source_integration_name": "text"
},
"owners_mapping": {
"key_name": "text",
"attribute_type": "text",
"source_integration_id": "text",
"source_integration_name": "text"
}
}{
"id": "text",
"name": "text",
"type": "text",
"category": "text",
"connector_id": "text",
"status": "text",
"last_sync_time": "text",
"integration_config": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"secret_store_config": {
"aws": {
"region": "text",
"secret_id": "text"
},
"gcp": {
"project": "text",
"secret_id": "text"
},
"kubernetes": {
"namespace": "text",
"name": "text"
},
"azure": {
"vault_url": "text",
"name": "text"
},
"hashicorp_vault": {
"secret_engine": "text",
"path": "text"
},
"apono": {
"parameters": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
}
},
"connected_resource_types": [
"text"
],
"custom_access_details": "text",
"owner": {
"attribute_type": "text",
"attribute_value": [
"text"
],
"source_integration_id": "text",
"source_integration_name": "text"
},
"owners_mapping": {
"key_name": "text",
"attribute_type": "text",
"source_integration_id": "text",
"source_integration_name": "text"
}
}{
"data": [
{
"id": "text",
"name": "text",
"type": "text",
"status": "Initializing",
"details": "text",
"provisioner_id": "text",
"connection": {},
"last_sync_time": 1,
"metadata": {},
"secret_config": {},
"connected_resource_types": [
"text"
],
"custom_access_details": "text"
}
],
"pagination": {
"total": 1,
"limit": 1,
"offset": 1
}
}{
"id": "text",
"name": "text",
"type": "text",
"status": "Initializing",
"details": "text",
"provisioner_id": "text",
"connection": {},
"last_sync_time": 1,
"metadata": {},
"secret_config": {},
"connected_resource_types": [
"text"
],
"custom_access_details": "text"
}{
"data": [
{
"name": "text",
"type": "text",
"description": "text",
"params": [
{
"id": "text",
"label": "text",
"values": [
"text"
],
"default": "text",
"optional": true
}
],
"requires_secret": true,
"supported_secret_types": [
"text"
]
}
],
"pagination": {
"total": 1,
"limit": 1,
"offset": 1
}
}{
"name": "text",
"type": "text",
"description": "text",
"params": [
{
"id": "text",
"label": "text",
"values": [
"text"
],
"default": "text",
"optional": true
}
],
"requires_secret": true,
"supported_secret_types": [
"text"
]
}{
"id": "text",
"name": "text",
"type": "text",
"status": "Initializing",
"details": "text",
"provisioner_id": "text",
"connection": {},
"last_sync_time": 1,
"metadata": {},
"secret_config": {},
"connected_resource_types": [
"text"
],
"custom_access_details": "text"
}{
"id": "text",
"name": "text",
"type": "text",
"status": "Initializing",
"details": "text",
"provisioner_id": "text",
"connection": {},
"last_sync_time": 1,
"metadata": {},
"secret_config": {},
"connected_resource_types": [
"text"
],
"custom_access_details": "text"
}{
"message": "text"
}{
"message": "text"
}{
"resource_id": "text",
"tags": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
}{
"message": "text"
}{
"data": [
{
"name": "text",
"id": "text",
"resource_type": "text"
}
],
"pagination": {
"total": 1,
"limit": 1,
"offset": 1
}
}{
"data": [
{
"id": "text",
"name": "text",
"type": "text",
"status": {
"status": "Active",
"message": "text"
}
}
],
"pagination": {
"total": 1,
"limit": 1,
"offset": 1
}
}GET /api/admin/v4/integrations HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
POST /api/admin/v4/integrations HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 635
{
"name": "text",
"type": "text",
"connector_id": "text",
"integration_config": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"secret_store_config": {
"aws": {
"region": "text",
"secret_id": "text"
},
"gcp": {
"project": "text",
"secret_id": "text"
},
"kubernetes": {
"namespace": "text",
"name": "text"
},
"azure": {
"vault_url": "text",
"name": "text"
},
"hashicorp_vault": {
"secret_engine": "text",
"path": "text"
}
},
"connected_resource_types": [
"text"
],
"custom_access_details": "text",
"owner": {
"attribute_type": "text",
"attribute_value": [
"text"
],
"source_integration_reference": "text"
},
"owners_mapping": {
"key_name": "text",
"attribute_type": "text",
"source_integration_reference": "text"
}
}GET /api/admin/v4/integrations/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
PUT /api/admin/v4/integrations/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 621
{
"name": "text",
"connector_id": "text",
"integration_config": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"secret_store_config": {
"aws": {
"region": "text",
"secret_id": "text"
},
"gcp": {
"project": "text",
"secret_id": "text"
},
"kubernetes": {
"namespace": "text",
"name": "text"
},
"azure": {
"vault_url": "text",
"name": "text"
},
"hashicorp_vault": {
"secret_engine": "text",
"path": "text"
}
},
"connected_resource_types": [
"text"
],
"custom_access_details": "text",
"owner": {
"attribute_type": "text",
"attribute_value": [
"text"
],
"source_integration_reference": "text"
},
"owners_mapping": {
"key_name": "text",
"attribute_type": "text",
"source_integration_reference": "text"
}
}DELETE /api/admin/v4/integrations/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
GET /api/v2/integrations HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
POST /api/v2/integrations HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 153
{
"name": "text",
"type": "text",
"provisioner_id": "text",
"metadata": {},
"secret_config": {},
"connected_resource_types": [
"text"
],
"custom_access_details": "text"
}GET /api/v2/integrations-catalog HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
GET /api/v2/integrations-catalog/{type} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
GET /api/v2/integrations/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
PUT /api/v2/integrations/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 139
{
"name": "text",
"provisioner_id": "text",
"metadata": {},
"secret_config": {},
"connected_resource_types": [
"text"
],
"custom_access_details": "text"
}DELETE /api/v2/integrations/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
POST /api/v2/integrations/{id}/refresh HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
GET /api/v3/integrations/resources/{resource_id}/user-tags HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
PUT /api/v3/integrations/resources/{resource_id}/user-tags HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 43
{
"tags": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
}GET /api/v3/integrations/{id}/permissions HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
GET /api/v3/integrations/{id}/resources HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"items": [
{
"id": "text",
"status": "text",
"duration_in_sec": 1,
"justification": "text",
"creation_date": "text",
"revocation_date": "text",
"custom_fields": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"access_groups": [
{
"integration": {
"id": "text",
"name": "text"
},
"resource_types": [
{
"id": "text",
"label": "text"
}
]
}
],
"requestor": {
"id": "text",
"source_id": "text"
},
"grantee": {
"id": "text",
"source_id": "text"
},
"bundle": {
"id": "text",
"name": "text"
}
}
],
"pagination": {
"next_page_token": "text"
}
}[
{
"id": "text",
"status": "text",
"duration_in_sec": 1,
"justification": "text",
"creation_date": "text",
"revocation_date": "text",
"custom_fields": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"access_groups": [
{
"integration": {
"id": "text",
"name": "text"
},
"resource_types": [
{
"id": "text",
"label": "text"
}
]
}
],
"requestor": {
"id": "text",
"source_id": "text"
},
"grantee": {
"id": "text",
"source_id": "text"
},
"bundle": {
"id": "text",
"name": "text"
}
}
]{
"id": "text",
"status": "text",
"duration_in_sec": 1,
"justification": "text",
"creation_date": "text",
"revocation_date": "text",
"custom_fields": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"access_groups": [
{
"integration": {
"id": "text",
"name": "text"
},
"resource_types": [
{
"id": "text",
"label": "text"
}
]
}
],
"requestor": {
"id": "text",
"source_id": "text"
},
"grantee": {
"id": "text",
"source_id": "text"
},
"bundle": {
"id": "text",
"name": "text"
}
}{
"items": [
{
"integration": {
"id": "text",
"name": "text"
},
"resource": {
"id": "text",
"source_id": "text",
"type": {
"id": "text",
"label": "text"
},
"name": "text"
},
"permission": {
"name": "text"
},
"status": "text"
}
],
"pagination": {
"next_page_token": "text"
}
}[
{
"id": "text",
"status": "text",
"duration_in_sec": 1,
"justification": "text",
"creation_date": "text",
"revocation_date": "text",
"custom_fields": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"access_groups": [
{
"integration": {
"id": "text",
"name": "text"
},
"resource_types": [
{
"id": "text",
"label": "text"
}
]
}
],
"requestor": {
"id": "text",
"source_id": "text"
},
"grantee": {
"id": "text",
"source_id": "text"
},
"bundle": {
"id": "text",
"name": "text"
}
}
]{
"message": "text"
}{
"data": [
{
"request_id": "text",
"friendly_request_id": "text",
"user_id": "text",
"status": "PENDING",
"integration_id": "text",
"resource_ids": [
"text"
],
"permissions": [
"text"
],
"justification": "text"
}
],
"pagination": {
"total": 1,
"limit": 1,
"offset": 1
}
}{
"request_id": "text",
"friendly_request_id": "text",
"user_id": "text",
"status": "PENDING",
"integration_id": "text",
"resource_ids": [
"text"
],
"permissions": [
"text"
],
"justification": "text"
}{
"message": "text"
}{
"request_id": "text",
"friendly_request_id": "text",
"user_id": "text",
"status": "PENDING",
"integration_id": "text",
"resource_ids": [
"text"
],
"permissions": [
"text"
],
"justification": "text"
}{
"details": "text"
}{
"message": "text"
}{
"data": [
{
"id": "text"
}
],
"pagination": {
"total": 1,
"limit": 1,
"offset": 1
}
}{
"data": [
{
"id": "text",
"name": "text"
}
],
"pagination": {
"total": 1,
"limit": 1,
"offset": 1
}
}{
"data": [
"text"
],
"pagination": {
"total": 1,
"limit": 1,
"offset": 1
},
"allow_multiple": true
}{
"data": [
{
"id": "text",
"type": "text",
"name": "text"
}
],
"pagination": {
"total": 1,
"limit": 1,
"offset": 1
}
}GET /api/user/v4/access-requests HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
POST /api/user/v4/access-requests HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 201
{
"bundle_reference": "text",
"entitlements": [
{
"resource_id": "text",
"permission_id": "text"
}
],
"justification": "text",
"duration_in_sec": 1,
"custom_fields": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"grantee": "text"
}GET /api/user/v4/access-requests/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
GET /api/user/v4/access-requests/{id}/entitlements HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
POST /api/user/v4/access-requests/{id}/request-again HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 75
{
"justification": "text",
"custom_fields": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
}POST /api/user/v4/access-requests/{id}/revoke HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
GET /api/v3/access-requests HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
POST /api/v3/access-requests HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 132
{
"user_id": "text",
"integration_id": "text",
"resource_ids": [
"text"
],
"permissions": [
"text"
],
"justification": "text",
"duration_in_sec": 1
}POST /api/v3/access-requests-bulk/revoke HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 24
{
"request_ids": [
"text"
]
}GET /api/v3/access-requests/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
GET /api/v3/access-requests/{id}/access-details HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
POST /api/v3/access-requests/{id}/reset HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
GET /api/v3/selectable-integrations HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
GET /api/v3/selectable-integrations/{integration_id}/resource-types HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
GET /api/v3/selectable-integrations/{integration_id}/{resource_type}/permissions HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
GET /api/v3/selectable-integrations/{integration_id}/{resource_type}/resources HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"items": [
{
"id": "text",
"name": "text",
"active": true,
"trigger": "text",
"requestors": {
"logical_operator": "text",
"conditions": [
{
"source_integration_id": "text",
"source_integration_name": "text",
"type": "text",
"match_operator": "text",
"values": [
"text"
]
}
]
},
"request_for": {
"request_scopes": [
"text"
],
"grantees": {
"logical_operator": "text",
"conditions": [
{
"source_integration_id": "text",
"source_integration_name": "text",
"type": "text",
"match_operator": "text",
"values": [
"text"
]
}
]
}
},
"access_targets": [
{
"integration": {
"integration_id": "text",
"integration_name": "text",
"resource_type": "text",
"permissions": [
"text"
],
"resources_scopes": [
{
"scope_mode": "text",
"type": "text",
"key": "text",
"values": [
"text"
]
}
]
},
"bundle": {
"bundle_id": "text",
"bundle_name": "text"
},
"access_scope": {
"access_scope_id": "text",
"access_scope_name": "text"
}
}
],
"approver_policy": {
"approval_mode": "text",
"approver_groups": [
{
"logical_operator": "text",
"approvers": [
{
"source_integration_id": "text",
"source_integration_name": "text",
"type": "text",
"match_operator": "text",
"values": [
"text"
]
}
]
}
]
},
"grant_duration_in_min": 1,
"timeframe": {
"start_time": "text",
"end_time": "text",
"days_of_week": [
"MONDAY"
],
"time_zone": "text"
},
"settings": {
"justification_required": true,
"require_approver_reason": true,
"requestor_cannot_approve_himself": true,
"require_mfa": true,
"labels": [
"text"
]
},
"creation_date": {},
"update_date": "text"
}
],
"pagination": {
"next_page_token": "text"
}
}{
"id": "text",
"name": "text",
"active": true,
"trigger": "text",
"requestors": {
"logical_operator": "text",
"conditions": [
{
"source_integration_id": "text",
"source_integration_name": "text",
"type": "text",
"match_operator": "text",
"values": [
"text"
]
}
]
},
"request_for": {
"request_scopes": [
"text"
],
"grantees": {
"logical_operator": "text",
"conditions": [
{
"source_integration_id": "text",
"source_integration_name": "text",
"type": "text",
"match_operator": "text",
"values": [
"text"
]
}
]
}
},
"access_targets": [
{
"integration": {
"integration_id": "text",
"integration_name": "text",
"resource_type": "text",
"permissions": [
"text"
],
"resources_scopes": [
{
"scope_mode": "text",
"type": "text",
"key": "text",
"values": [
"text"
]
}
]
},
"bundle": {
"bundle_id": "text",
"bundle_name": "text"
},
"access_scope": {
"access_scope_id": "text",
"access_scope_name": "text"
}
}
],
"approver_policy": {
"approval_mode": "text",
"approver_groups": [
{
"logical_operator": "text",
"approvers": [
{
"source_integration_id": "text",
"source_integration_name": "text",
"type": "text",
"match_operator": "text",
"values": [
"text"
]
}
]
}
]
},
"grant_duration_in_min": 1,
"timeframe": {
"start_time": "text",
"end_time": "text",
"days_of_week": [
"MONDAY"
],
"time_zone": "text"
},
"settings": {
"justification_required": true,
"require_approver_reason": true,
"requestor_cannot_approve_himself": true,
"require_mfa": true,
"labels": [
"text"
]
},
"creation_date": {},
"update_date": "text"
}{
"id": "text",
"name": "text",
"active": true,
"trigger": "text",
"requestors": {
"logical_operator": "text",
"conditions": [
{
"source_integration_id": "text",
"source_integration_name": "text",
"type": "text",
"match_operator": "text",
"values": [
"text"
]
}
]
},
"request_for": {
"request_scopes": [
"text"
],
"grantees": {
"logical_operator": "text",
"conditions": [
{
"source_integration_id": "text",
"source_integration_name": "text",
"type": "text",
"match_operator": "text",
"values": [
"text"
]
}
]
}
},
"access_targets": [
{
"integration": {
"integration_id": "text",
"integration_name": "text",
"resource_type": "text",
"permissions": [
"text"
],
"resources_scopes": [
{
"scope_mode": "text",
"type": "text",
"key": "text",
"values": [
"text"
]
}
]
},
"bundle": {
"bundle_id": "text",
"bundle_name": "text"
},
"access_scope": {
"access_scope_id": "text",
"access_scope_name": "text"
}
}
],
"approver_policy": {
"approval_mode": "text",
"approver_groups": [
{
"logical_operator": "text",
"approvers": [
{
"source_integration_id": "text",
"source_integration_name": "text",
"type": "text",
"match_operator": "text",
"values": [
"text"
]
}
]
}
]
},
"grant_duration_in_min": 1,
"timeframe": {
"start_time": "text",
"end_time": "text",
"days_of_week": [
"MONDAY"
],
"time_zone": "text"
},
"settings": {
"justification_required": true,
"require_approver_reason": true,
"requestor_cannot_approve_himself": true,
"require_mfa": true,
"labels": [
"text"
]
},
"creation_date": {},
"update_date": "text"
}{
"id": "text",
"name": "text",
"active": true,
"trigger": "text",
"requestors": {
"logical_operator": "text",
"conditions": [
{
"source_integration_id": "text",
"source_integration_name": "text",
"type": "text",
"match_operator": "text",
"values": [
"text"
]
}
]
},
"request_for": {
"request_scopes": [
"text"
],
"grantees": {
"logical_operator": "text",
"conditions": [
{
"source_integration_id": "text",
"source_integration_name": "text",
"type": "text",
"match_operator": "text",
"values": [
"text"
]
}
]
}
},
"access_targets": [
{
"integration": {
"integration_id": "text",
"integration_name": "text",
"resource_type": "text",
"permissions": [
"text"
],
"resources_scopes": [
{
"scope_mode": "text",
"type": "text",
"key": "text",
"values": [
"text"
]
}
]
},
"bundle": {
"bundle_id": "text",
"bundle_name": "text"
},
"access_scope": {
"access_scope_id": "text",
"access_scope_name": "text"
}
}
],
"approver_policy": {
"approval_mode": "text",
"approver_groups": [
{
"logical_operator": "text",
"approvers": [
{
"source_integration_id": "text",
"source_integration_name": "text",
"type": "text",
"match_operator": "text",
"values": [
"text"
]
}
]
}
]
},
"grant_duration_in_min": 1,
"timeframe": {
"start_time": "text",
"end_time": "text",
"days_of_week": [
"MONDAY"
],
"time_zone": "text"
},
"settings": {
"justification_required": true,
"require_approver_reason": true,
"requestor_cannot_approve_himself": true,
"require_mfa": true,
"labels": [
"text"
]
},
"creation_date": {},
"update_date": "text"
}{
"data": [
{
"id": "text",
"name": "text",
"active": true,
"trigger": {
"type": "text",
"timeframe": {
"start_of_day_time_in_seconds": 1,
"end_of_day_time_in_seconds": 1,
"days_in_week": [
"MONDAY"
],
"time_zone": "text"
}
},
"grantees": [
{
"id": "text",
"type": "text"
}
],
"integration_targets": [
{
"integration_id": "text",
"resource_type": "text",
"resource_tag_includes": [
{
"name": "text",
"value": "text"
}
],
"resource_tag_excludes": [
{
"name": "text",
"value": "text"
}
],
"permissions": [
"text"
]
}
],
"bundle_targets": [
{
"bundle_id": "text"
}
],
"approvers": [
{
"id": "text",
"type": "text"
}
],
"revoke_after_in_sec": 1,
"settings": {
"require_justification_on_request_again": true,
"require_all_approvers": true,
"require_approver_justification": true,
"approver_cannot_approve_himself": true
},
"created_date": "{seconds}.{nanos}"
}
],
"pagination": {
"total": 1,
"limit": 1,
"offset": 1
}
}{
"id": "text",
"name": "text",
"active": true,
"trigger": {
"type": "text",
"timeframe": {
"start_of_day_time_in_seconds": 1,
"end_of_day_time_in_seconds": 1,
"days_in_week": [
"MONDAY"
],
"time_zone": "text"
}
},
"grantees": [
{
"id": "text",
"type": "text"
}
],
"integration_targets": [
{
"integration_id": "text",
"resource_type": "text",
"resource_tag_includes": [
{
"name": "text",
"value": "text"
}
],
"resource_tag_excludes": [
{
"name": "text",
"value": "text"
}
],
"permissions": [
"text"
]
}
],
"bundle_targets": [
{
"bundle_id": "text"
}
],
"approvers": [
{
"id": "text",
"type": "text"
}
],
"revoke_after_in_sec": 1,
"settings": {
"require_justification_on_request_again": true,
"require_all_approvers": true,
"require_approver_justification": true,
"approver_cannot_approve_himself": true
},
"created_date": "{seconds}.{nanos}"
}{
"id": "text",
"name": "text",
"active": true,
"trigger": {
"type": "text",
"timeframe": {
"start_of_day_time_in_seconds": 1,
"end_of_day_time_in_seconds": 1,
"days_in_week": [
"MONDAY"
],
"time_zone": "text"
}
},
"grantees": [
{
"id": "text",
"type": "text"
}
],
"integration_targets": [
{
"integration_id": "text",
"resource_type": "text",
"resource_tag_includes": [
{
"name": "text",
"value": "text"
}
],
"resource_tag_excludes": [
{
"name": "text",
"value": "text"
}
],
"permissions": [
"text"
]
}
],
"bundle_targets": [
{
"bundle_id": "text"
}
],
"approvers": [
{
"id": "text",
"type": "text"
}
],
"revoke_after_in_sec": 1,
"settings": {
"require_justification_on_request_again": true,
"require_all_approvers": true,
"require_approver_justification": true,
"approver_cannot_approve_himself": true
},
"created_date": "{seconds}.{nanos}"
}{
"message": "text"
}{
"id": "text",
"name": "text",
"active": true,
"trigger": {
"type": "text",
"timeframe": {
"start_of_day_time_in_seconds": 1,
"end_of_day_time_in_seconds": 1,
"days_in_week": [
"MONDAY"
],
"time_zone": "text"
}
},
"grantees": [
{
"id": "text",
"type": "text"
}
],
"integration_targets": [
{
"integration_id": "text",
"resource_type": "text",
"resource_tag_includes": [
{
"name": "text",
"value": "text"
}
],
"resource_tag_excludes": [
{
"name": "text",
"value": "text"
}
],
"permissions": [
"text"
]
}
],
"bundle_targets": [
{
"bundle_id": "text"
}
],
"approvers": [
{
"id": "text",
"type": "text"
}
],
"revoke_after_in_sec": 1,
"settings": {
"require_justification_on_request_again": true,
"require_all_approvers": true,
"require_approver_justification": true,
"approver_cannot_approve_himself": true
},
"created_date": "{seconds}.{nanos}"
}GET /api/admin/v2/access-flows HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
POST /api/admin/v2/access-flows HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1179
{
"name": "text",
"active": true,
"trigger": "text",
"requestors": {
"logical_operator": "text",
"conditions": [
{
"source_integration_reference": "text",
"type": "text",
"match_operator": "text",
"values": [
"text"
]
}
]
},
"request_for": {
"request_scopes": [
"text"
],
"grantees": {
"logical_operator": "text",
"conditions": [
{
"source_integration_reference": "text",
"type": "text",
"match_operator": "text",
"values": [
"text"
]
}
]
}
},
"access_targets": [
{
"integration": {
"integration_reference": "text",
"resource_type": "text",
"permissions": [
"text"
],
"resources_scopes": [
{
"scope_mode": "text",
"type": "text",
"key": "text",
"values": [
"text"
]
}
]
},
"bundle": {
"bundle_reference": "text"
},
"access_scope": {
"access_scope_reference": "text"
}
}
],
"approver_policy": {
"approval_mode": "text",
"approver_groups": [
{
"logical_operator": "text",
"approvers": [
{
"source_integration_reference": "text",
"type": "text",
"match_operator": "text",
"values": [
"text"
]
}
]
}
]
},
"grant_duration_in_min": 1,
"timeframe": {
"start_time": "text",
"end_time": "text",
"days_of_week": [
"MONDAY"
],
"time_zone": "text"
},
"settings": {
"justification_required": true,
"require_approver_reason": true,
"requestor_cannot_approve_himself": true,
"require_mfa": true,
"labels": [
"text"
]
},
"request_for_others": true
}GET /api/admin/v2/access-flows/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
PUT /api/admin/v2/access-flows/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1179
{
"name": "text",
"active": true,
"trigger": "text",
"requestors": {
"logical_operator": "text",
"conditions": [
{
"source_integration_reference": "text",
"type": "text",
"match_operator": "text",
"values": [
"text"
]
}
]
},
"request_for": {
"request_scopes": [
"text"
],
"grantees": {
"logical_operator": "text",
"conditions": [
{
"source_integration_reference": "text",
"type": "text",
"match_operator": "text",
"values": [
"text"
]
}
]
}
},
"access_targets": [
{
"integration": {
"integration_reference": "text",
"resource_type": "text",
"permissions": [
"text"
],
"resources_scopes": [
{
"scope_mode": "text",
"type": "text",
"key": "text",
"values": [
"text"
]
}
]
},
"bundle": {
"bundle_reference": "text"
},
"access_scope": {
"access_scope_reference": "text"
}
}
],
"approver_policy": {
"approval_mode": "text",
"approver_groups": [
{
"logical_operator": "text",
"approvers": [
{
"source_integration_reference": "text",
"type": "text",
"match_operator": "text",
"values": [
"text"
]
}
]
}
]
},
"grant_duration_in_min": 1,
"timeframe": {
"start_time": "text",
"end_time": "text",
"days_of_week": [
"MONDAY"
],
"time_zone": "text"
},
"settings": {
"justification_required": true,
"require_approver_reason": true,
"requestor_cannot_approve_himself": true,
"require_mfa": true,
"labels": [
"text"
]
},
"request_for_others": true
}DELETE /api/admin/v2/access-flows/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
GET /api/v1/access-flows HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
POST /api/v1/access-flows HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 700
{
"name": "text",
"active": true,
"trigger": {
"type": "text",
"timeframe": {
"start_of_day_time_in_seconds": 1,
"end_of_day_time_in_seconds": 1,
"days_in_week": [
"MONDAY"
],
"time_zone": "text"
}
},
"grantees": [
{
"id": "text",
"type": "text"
}
],
"integration_targets": [
{
"integration_id": "text",
"resource_type": "text",
"resource_tag_includes": [
{
"name": "text",
"value": "text"
}
],
"resource_tag_excludes": [
{
"name": "text",
"value": "text"
}
],
"permissions": [
"text"
]
}
],
"bundle_targets": [
{
"bundle_id": "text"
}
],
"approvers": [
{
"id": "text",
"type": "text"
}
],
"revoke_after_in_sec": 1,
"settings": {
"require_justification_on_request_again": true,
"require_all_approvers": true,
"require_approver_justification": true,
"approver_cannot_approve_himself": true
}
}GET /api/v1/access-flows/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
DELETE /api/v1/access-flows/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
PATCH /api/v1/access-flows/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 700
{
"name": "text",
"active": true,
"trigger": {
"type": "text",
"timeframe": {
"start_of_day_time_in_seconds": 1,
"end_of_day_time_in_seconds": 1,
"days_in_week": [
"MONDAY"
],
"time_zone": "text"
}
},
"grantees": [
{
"id": "text",
"type": "text"
}
],
"integration_targets": [
{
"integration_id": "text",
"resource_type": "text",
"resource_tag_includes": [
{
"name": "text",
"value": "text"
}
],
"resource_tag_excludes": [
{
"name": "text",
"value": "text"
}
],
"permissions": [
"text"
]
}
],
"bundle_targets": [
{
"bundle_id": "text"
}
],
"approvers": [
{
"id": "text",
"type": "text"
}
],
"revoke_after_in_sec": 1,
"settings": {
"require_justification_on_request_again": true,
"require_all_approvers": true,
"require_approver_justification": true,
"approver_cannot_approve_himself": true
}
}{
"items": [
{
"id": "text",
"name": "text",
"access_targets": [
{
"integration": {
"integration_id": "text",
"integration_name": "text",
"resource_type": "text",
"permissions": [
"text"
],
"resources_scopes": [
{
"scope_mode": "text",
"type": "text",
"key": "text",
"values": [
"text"
]
}
]
},
"access_scope": {
"access_scope_id": "text",
"access_scope_name": "text"
}
}
],
"creation_date": "text",
"update_date": "text"
}
],
"pagination": {
"next_page_token": "text"
}
}{
"id": "text",
"name": "text",
"access_targets": [
{
"integration": {
"integration_id": "text",
"integration_name": "text",
"resource_type": "text",
"permissions": [
"text"
],
"resources_scopes": [
{
"scope_mode": "text",
"type": "text",
"key": "text",
"values": [
"text"
]
}
]
},
"access_scope": {
"access_scope_id": "text",
"access_scope_name": "text"
}
}
],
"creation_date": "text",
"update_date": "text"
}{
"id": "text",
"name": "text",
"access_targets": [
{
"integration": {
"integration_id": "text",
"integration_name": "text",
"resource_type": "text",
"permissions": [
"text"
],
"resources_scopes": [
{
"scope_mode": "text",
"type": "text",
"key": "text",
"values": [
"text"
]
}
]
},
"access_scope": {
"access_scope_id": "text",
"access_scope_name": "text"
}
}
],
"creation_date": "text",
"update_date": "text"
}{
"id": "text",
"name": "text",
"access_targets": [
{
"integration": {
"integration_id": "text",
"integration_name": "text",
"resource_type": "text",
"permissions": [
"text"
],
"resources_scopes": [
{
"scope_mode": "text",
"type": "text",
"key": "text",
"values": [
"text"
]
}
]
},
"access_scope": {
"access_scope_id": "text",
"access_scope_name": "text"
}
}
],
"creation_date": "text",
"update_date": "text"
}GET /api/admin/v2/bundles HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
POST /api/admin/v2/bundles HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 266
{
"name": "text",
"access_targets": [
{
"integration": {
"integration_reference": "text",
"resource_type": "text",
"permissions": [
"text"
],
"resources_scopes": [
{
"scope_mode": "text",
"type": "text",
"key": "text",
"values": [
"text"
]
}
]
},
"access_scope": {
"access_scope_reference": "text"
}
}
]
}GET /api/admin/v2/bundles/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
PUT /api/admin/v2/bundles/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 266
{
"name": "text",
"access_targets": [
{
"integration": {
"integration_reference": "text",
"resource_type": "text",
"permissions": [
"text"
],
"resources_scopes": [
{
"scope_mode": "text",
"type": "text",
"key": "text",
"values": [
"text"
]
}
]
},
"access_scope": {
"access_scope_reference": "text"
}
}
]
}DELETE /api/admin/v2/bundles/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"items": [
{
"id": "text",
"name": "text",
"fields": [
"text"
],
"filters": {
"requestor_source_ids": [
"text"
],
"grantee_source_ids": [
"text"
],
"grantee_identity_types": [
"text"
],
"integration_ids": [
"text"
],
"permission_names": [
"text"
],
"resource_ids": [
"text"
],
"resource_types": [
"text"
],
"statuses": [
"text"
],
"trigger_types": [
"text"
],
"access_flow_ids": [
"text"
]
},
"timeframe": {
"absolute": {
"start_date": "2022-03-10T16:15:50Z",
"end_date": "2022-03-10T16:15:50Z"
},
"relative": {
"last": 1,
"unit": "text",
"rounded": true
}
},
"schedule": {
"cron_expression": "text",
"recipients": [
"text"
]
},
"format": "text",
"creation_date": "2022-03-10T16:15:50Z",
"update_date": "2022-03-10T16:15:50Z"
}
],
"pagination": {
"next_page_token": "text"
}
}{
"id": "text",
"name": "text",
"fields": [
"text"
],
"filters": {
"requestor_source_ids": [
"text"
],
"grantee_source_ids": [
"text"
],
"grantee_identity_types": [
"text"
],
"integration_ids": [
"text"
],
"permission_names": [
"text"
],
"resource_ids": [
"text"
],
"resource_types": [
"text"
],
"statuses": [
"text"
],
"trigger_types": [
"text"
],
"access_flow_ids": [
"text"
]
},
"timeframe": {
"absolute": {
"start_date": "2022-03-10T16:15:50Z",
"end_date": "2022-03-10T16:15:50Z"
},
"relative": {
"last": 1,
"unit": "text",
"rounded": true
}
},
"schedule": {
"cron_expression": "text",
"recipients": [
"text"
]
},
"format": "text",
"creation_date": "2022-03-10T16:15:50Z",
"update_date": "2022-03-10T16:15:50Z"
}{
"id": "text",
"name": "text",
"fields": [
"text"
],
"filters": {
"requestor_source_ids": [
"text"
],
"grantee_source_ids": [
"text"
],
"grantee_identity_types": [
"text"
],
"integration_ids": [
"text"
],
"permission_names": [
"text"
],
"resource_ids": [
"text"
],
"resource_types": [
"text"
],
"statuses": [
"text"
],
"trigger_types": [
"text"
],
"access_flow_ids": [
"text"
]
},
"timeframe": {
"absolute": {
"start_date": "2022-03-10T16:15:50Z",
"end_date": "2022-03-10T16:15:50Z"
},
"relative": {
"last": 1,
"unit": "text",
"rounded": true
}
},
"schedule": {
"cron_expression": "text",
"recipients": [
"text"
]
},
"format": "text",
"creation_date": "2022-03-10T16:15:50Z",
"update_date": "2022-03-10T16:15:50Z"
}{
"id": "text",
"name": "text",
"fields": [
"text"
],
"filters": {
"requestor_source_ids": [
"text"
],
"grantee_source_ids": [
"text"
],
"grantee_identity_types": [
"text"
],
"integration_ids": [
"text"
],
"permission_names": [
"text"
],
"resource_ids": [
"text"
],
"resource_types": [
"text"
],
"statuses": [
"text"
],
"trigger_types": [
"text"
],
"access_flow_ids": [
"text"
]
},
"timeframe": {
"absolute": {
"start_date": "2022-03-10T16:15:50Z",
"end_date": "2022-03-10T16:15:50Z"
},
"relative": {
"last": 1,
"unit": "text",
"rounded": true
}
},
"schedule": {
"cron_expression": "text",
"recipients": [
"text"
]
},
"format": "text",
"creation_date": "2022-03-10T16:15:50Z",
"update_date": "2022-03-10T16:15:50Z"
}{
"message": "text"
}GET /api/admin/v1/activity-reports HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
POST /api/admin/v1/activity-reports HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 542
{
"name": "text",
"fields": [
"text"
],
"filters": {
"requestor_source_ids": [
"text"
],
"grantee_source_ids": [
"text"
],
"grantee_identity_types": [
"text"
],
"integration_ids": [
"text"
],
"permission_names": [
"text"
],
"resource_ids": [
"text"
],
"resource_types": [
"text"
],
"statuses": [
"text"
],
"trigger_types": [
"text"
],
"access_flow_ids": [
"text"
]
},
"timeframe": {
"absolute": {
"start_date": "2022-03-10T16:15:50Z",
"end_date": "2022-03-10T16:15:50Z"
},
"relative": {
"last": 1,
"unit": "text",
"rounded": true
}
},
"schedule": {
"cron_expression": "text",
"recipients": [
"text"
]
},
"format": "text"
}GET /api/admin/v1/activity-reports/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
PUT /api/admin/v1/activity-reports/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 542
{
"name": "text",
"fields": [
"text"
],
"filters": {
"requestor_source_ids": [
"text"
],
"grantee_source_ids": [
"text"
],
"grantee_identity_types": [
"text"
],
"integration_ids": [
"text"
],
"permission_names": [
"text"
],
"resource_ids": [
"text"
],
"resource_types": [
"text"
],
"statuses": [
"text"
],
"trigger_types": [
"text"
],
"access_flow_ids": [
"text"
]
},
"timeframe": {
"absolute": {
"start_date": "2022-03-10T16:15:50Z",
"end_date": "2022-03-10T16:15:50Z"
},
"relative": {
"last": 1,
"unit": "text",
"rounded": true
}
},
"schedule": {
"cron_expression": "text",
"recipients": [
"text"
]
},
"format": "text"
}DELETE /api/admin/v1/activity-reports/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"items": [
{
"id": "text",
"name": "text",
"source_id": "text",
"source_integration_id": "text",
"source_integration_name": "text"
}
],
"pagination": {
"next_page_token": "text"
}
}{
"id": "text",
"name": "text",
"source_id": "text",
"source_integration_id": "text",
"source_integration_name": "text"
}{
"id": "text",
"name": "text",
"source_id": "text",
"source_integration_id": "text",
"source_integration_name": "text"
}{
"items": [
{
"email": "text"
}
],
"pagination": {
"next_page_token": "text"
}
}{
"id": "text",
"name": "text",
"source_id": "text",
"source_integration_id": "text",
"source_integration_name": "text"
}GET /api/admin/v1/groups HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
POST /api/admin/v1/groups HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 41
{
"name": "text",
"members_emails": [
"text"
]
}GET /api/admin/v1/groups/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
DELETE /api/admin/v1/groups/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
GET /api/admin/v1/groups/{id}/members HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
PUT /api/admin/v1/groups/{id}/members HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 27
{
"members_emails": [
"text"
]
}PUT /api/admin/v1/groups/{id}/members/{email} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
DELETE /api/admin/v1/groups/{id}/members/{email} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
PUT /api/admin/v1/groups/{id}/name HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 15
{
"name": "text"
}{
"items": [
{
"id": "text",
"name": "text",
"status": "text",
"version": "text",
"last_connected": "text",
"is_latest_version": true,
"cloud_provider_type": "text",
"sessions": [
{
"id": "text",
"metadata": {
"cloud_provider_metadata": {
"kubernetes_type": "text",
"kubernetes_version": "text",
"is_kubernetes_admin": true,
"local_deploy": true,
"aws_account_id": "text",
"region": "text",
"availability_zone": "text",
"project_id": "text",
"organization_id": "text",
"zone": "text",
"subscription_id": "text",
"resource_group": "text",
"is_azure_admin": true
},
"connector_version": "text"
},
"last_connected_time": "text"
}
]
}
],
"pagination": {
"next_page_token": "text"
}
}{
"id": "text",
"name": "text",
"status": "text",
"version": "text",
"last_connected": "text",
"is_latest_version": true,
"cloud_provider_type": "text",
"sessions": [
{
"id": "text",
"metadata": {
"cloud_provider_metadata": {
"kubernetes_type": "text",
"kubernetes_version": "text",
"is_kubernetes_admin": true,
"local_deploy": true,
"aws_account_id": "text",
"region": "text",
"availability_zone": "text",
"project_id": "text",
"organization_id": "text",
"zone": "text",
"subscription_id": "text",
"resource_group": "text",
"is_azure_admin": true
},
"connector_version": "text"
},
"last_connected_time": "text"
}
]
}{
"id": "text",
"name": "text",
"status": "text",
"version": "text",
"last_connected": "text",
"is_latest_version": true,
"cloud_provider_type": "text",
"sessions": [
{
"id": "text",
"metadata": {
"cloud_provider_metadata": {
"kubernetes_type": "text",
"kubernetes_version": "text",
"is_kubernetes_admin": true,
"local_deploy": true,
"aws_account_id": "text",
"region": "text",
"availability_zone": "text",
"project_id": "text",
"organization_id": "text",
"zone": "text",
"subscription_id": "text",
"resource_group": "text",
"is_azure_admin": true
},
"connector_version": "text"
},
"last_connected_time": "text"
}
]
}[
{
"connector_id": "text",
"last_connected": 1,
"status": "text"
}
]GET /api/admin/v3/connectors HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
GET /api/admin/v3/connectors/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
PUT /api/admin/v3/connectors/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 15
{
"name": "text"
}DELETE /api/admin/v3/connectors/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
GET /api/v2/connectors HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"items": [
{
"id": "text",
"name": "text"
}
],
"pagination": {
"next_page_token": "text"
}
}{
"items": [
{
"integration": {
"id": "text",
"name": "text"
},
"resource": {
"id": "text",
"source_id": "text",
"type": {
"id": "text",
"label": "text"
},
"name": "text"
},
"permission": {
"id": "text",
"source_id": "text",
"name": "text"
}
}
],
"pagination": {
"next_page_token": "text"
}
}GET /api/user/v1/available-access/bundles HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
GET /api/user/v1/available-access/entitlements HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"data": [
{
"id": "text",
"name": "text",
"integration_targets": [
{
"integration_id": "text",
"resource_type": "text",
"resource_tag_includes": [
{
"name": "text",
"value": "text"
}
],
"resource_tag_excludes": [
{
"name": "text",
"value": "text"
}
],
"permissions": [
"text"
]
}
]
}
],
"pagination": {
"total": 1,
"limit": 1,
"offset": 1
}
}{
"id": "text",
"name": "text",
"integration_targets": [
{
"integration_id": "text",
"resource_type": "text",
"resource_tag_includes": [
{
"name": "text",
"value": "text"
}
],
"resource_tag_excludes": [
{
"name": "text",
"value": "text"
}
],
"permissions": [
"text"
]
}
]
}{
"id": "text",
"name": "text",
"integration_targets": [
{
"integration_id": "text",
"resource_type": "text",
"resource_tag_includes": [
{
"name": "text",
"value": "text"
}
],
"resource_tag_excludes": [
{
"name": "text",
"value": "text"
}
],
"permissions": [
"text"
]
}
]
}{
"message": "text"
}{
"id": "text",
"name": "text",
"integration_targets": [
{
"integration_id": "text",
"resource_type": "text",
"resource_tag_includes": [
{
"name": "text",
"value": "text"
}
],
"resource_tag_excludes": [
{
"name": "text",
"value": "text"
}
],
"permissions": [
"text"
]
}
]
}GET /api/v1/access-bundles HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
POST /api/v1/access-bundles HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 225
{
"name": "text",
"integration_targets": [
{
"integration_id": "text",
"resource_type": "text",
"resource_tag_includes": [
{
"name": "text",
"value": "text"
}
],
"resource_tag_excludes": [
{
"name": "text",
"value": "text"
}
],
"permissions": [
"text"
]
}
]
}GET /api/v1/access-bundles/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
DELETE /api/v1/access-bundles/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
PATCH /api/v1/access-bundles/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 225
{
"name": "text",
"integration_targets": [
{
"integration_id": "text",
"resource_type": "text",
"resource_tag_includes": [
{
"name": "text",
"value": "text"
}
],
"resource_tag_excludes": [
{
"name": "text",
"value": "text"
}
],
"permissions": [
"text"
]
}
]
}{
"items": [
{
"id": "text",
"email": "text",
"email_aliases": [
"text"
],
"first_name": "text",
"last_name": "text",
"active": true,
"roles": [
"text"
],
"source_integration_id": "text",
"source_integration_name": "text",
"attributes": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
}
],
"pagination": {
"next_page_token": "text"
}
}{
"id": "text",
"email": "text",
"email_aliases": [
"text"
],
"first_name": "text",
"last_name": "text",
"active": true,
"roles": [
"text"
],
"source_integration_id": "text",
"source_integration_name": "text",
"attributes": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
}{
"data": [
{
"id": "text",
"email": "text",
"first_name": "text",
"last_name": "text",
"active": true
}
],
"pagination": {
"total": 1,
"limit": 1,
"offset": 1
}
}{
"id": "text",
"email": "text",
"first_name": "text",
"last_name": "text",
"active": true
}GET /api/admin/v3/users HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
GET /api/admin/v3/users/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
GET /api/v2/users HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
GET /api/v2/users/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"items": [
{
"id": "text",
"status": "text",
"duration_in_sec": 1,
"justification": "text",
"creation_date": "text",
"revocation_date": "text",
"custom_fields": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"access_groups": [
{
"integration": {
"id": "text",
"name": "text"
},
"resource_types": [
{
"id": "text",
"label": "text"
}
]
}
],
"requestor": {
"id": "text",
"source_id": "text"
},
"grantee": {
"id": "text",
"source_id": "text"
},
"bundle": {
"id": "text",
"name": "text"
}
}
],
"pagination": {
"next_page_token": "text"
}
}{
"id": "text",
"status": "text",
"duration_in_sec": 1,
"justification": "text",
"creation_date": "text",
"revocation_date": "text",
"custom_fields": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"access_groups": [
{
"integration": {
"id": "text",
"name": "text"
},
"resource_types": [
{
"id": "text",
"label": "text"
}
]
}
],
"requestor": {
"id": "text",
"source_id": "text"
},
"grantee": {
"id": "text",
"source_id": "text"
},
"bundle": {
"id": "text",
"name": "text"
}
}GET /api/user/v1/delegated-access-requests HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
GET /api/user/v1/delegated-access-requests/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"data": [
{
"request_id": "text",
"request_date": "text",
"requestor_name": "text",
"requestor_email": "text",
"integration": "text",
"resource_type": "text",
"resources": [
"text"
],
"permissions": [
"text"
],
"justification": "text",
"status": "text",
"trigger_type": "text",
"access_flow": "text"
}
],
"pagination": {
"total": 1,
"limit": 1,
"offset": 1
}
}GET /api/v3/activity HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"items": [
{
"id": "text",
"name": "text",
"query": "text",
"creation_date": "text",
"update_date": "text"
}
],
"pagination": {
"next_page_token": "text"
}
}{
"id": "text",
"name": "text",
"query": "text",
"creation_date": "text",
"update_date": "text"
}{
"id": "text",
"name": "text",
"query": "text",
"creation_date": "text",
"update_date": "text"
}{
"id": "text",
"name": "text",
"query": "text",
"creation_date": "text",
"update_date": "text"
}GET /api/admin/v1/access-scopes HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
POST /api/admin/v1/access-scopes HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 30
{
"name": "text",
"query": "text"
}GET /api/admin/v1/access-scopes/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
PUT /api/admin/v1/access-scopes/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 30
{
"name": "text",
"query": "text"
}DELETE /api/admin/v1/access-scopes/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"items": [
{
"type": "text",
"value": "text",
"source_id": "text",
"source_integration_id": "text",
"source_integration_name": "text"
}
],
"pagination": {
"next_page_token": "text"
}
}GET /api/admin/v1/attributes HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"items": [
{
"id": "text",
"name": "text",
"request_ids": [
"text"
],
"integration": {
"id": "text",
"name": "text"
},
"credentials_status": "text",
"can_reset_credentials": true
}
],
"pagination": {
"next_page_token": "text"
}
}{
"id": "text",
"name": "text",
"request_ids": [
"text"
],
"integration": {
"id": "text",
"name": "text"
},
"credentials_status": "text",
"can_reset_credentials": true
}{
"instructions": "text",
"custom_admin_message": "text",
"parameters": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"cli": "text",
"link": {
"url": "text",
"title": "text"
}
}{
"message": "text"
}GET /api/user/v1/access-sessions HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
GET /api/user/v1/access-sessions/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
GET /api/user/v1/access-sessions/{id}/access-details HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
POST /api/user/v1/access-sessions/{id}/reset-credentials HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"data": [
{
"email": "text",
"attributes": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
}
],
"pagination": {
"total": 1,
"limit": 1,
"offset": 1
}
}{
"summary": {
"total": 1,
"succeeded": 1,
"failed": 1
},
"results": [
{
"email": "text",
"success": true,
"errors": [
{
"error_code": "text",
"error_details": "text"
}
]
}
]
}{
"summary": {
"total": 1,
"succeeded": 1,
"failed": 1
},
"results": [
{
"email": "text",
"success": true,
"errors": [
{
"error_code": "text",
"error_details": "text"
}
]
}
]
}{
"data": [
{
"type": "text",
"name": "text",
"id": "text"
}
],
"pagination": {
"total": 1,
"limit": 1,
"offset": 1
}
}GET /api/v2/bulk/identities/attributes HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
PUT /api/v2/bulk/identities/attributes HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 66
[
{
"email": "text",
"attributes": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
}
]DELETE /api/v2/bulk/identities/attributes HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 45
[
{
"email": "text",
"attribute_types": [
"text"
]
}
]GET /api/v2/identities HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*